function runComic1( )
	if ( not isLevelDeadly( ) ) then
		if ( isIPad( ) ) then
			local comic = createComicNonChunked( "comic1ipad" ) ;
		
			addText( comic, getString( "comic1_d1" ), 12, 11, 150, 83 ) ;
			addText( comic, getString( "comic1_d2" ), 129, 234, 234, 283 ) ;
			addText( comic, getString( "comic1_d3" ), 285, 91, 419, 134 ) ;
			addText( comic, getString( "comic1_d4" ), 260, 249, 539, 297 ) ;
			addText( comic, getString( "comic1_d5" ), 593, 25, 755, 97 ) ;
			addText( comic, getString( "comic1_d6" ), 17, 315, 188, 344 ) ;
			addText( comic, getString( "comic1_d7" ), 105, 504, 246, 584 ) ;
			addText( comic, getString( "comic1_d8" ), 339, 308, 535, 365 ) ;
			addText( comic, getString( "comic1_d9" ), 562, 316, 698, 387 ) ;
			
			
			--addText( comic, getString( "comic1_d1" ), 17, 17, 194, 110 ) ;
			--addText( comic, getString( "comic1_d2" ), 164, 301, 300, 365 ) ;
			--addText( comic, getString( "comic1_d3" ), 366, 119, 538, 174 ) ;
			--addText( comic, getString( "comic1_d4" ), 333, 320, 693, 380 ) ;
			--addText( comic, getString( "comic1_d5" ), 758, 32, 968, 126 ) ;
			--addText( comic, getString( "comic1_d6" ), 22, 404, 242, 444 ) ;
			--addText( comic, getString( "comic1_d7" ), 136, 647, 317, 749 ) ;
			--addText( comic, getString( "comic1_d8" ), 435, 396, 686, 470 ) ;
			--addText( comic, getString( "comic1_d9" ), 721, 407, 895, 496 ) ;

		else
			local comic = createComic( "comic1iphone" ) ;
			
			addSnapPoint( comic, 456, 320 ) ;
			addSnapPoint( comic, 910, 320 ) ;
			addSnapPoint( comic, 1362, 320 ) ;
			addSnapPoint( comic, 1816, 320 ) ;
			addSnapPoint( comic, 2268, 320 ) ;

			--setNumScrollPanels( comic, 6 ) ;
			
			addText( comic, getString( "comic1_d1" ), 22, 18, 270, 152 ) ;
			addText( comic, getString( "comic1_d2" ), 228, 412, 416, 500 ) ;
			addText( comic, getString( "comic1_d3" ), 480, 156, 708, 230 ) ;
			addText( comic, getString( "comic1_d4" ), 466, 424, 904, 502 ) ;
			addText( comic, getString( "comic1_d5" ), 990, 42, 1284, 174 ) ;
			addText( comic, getString( "comic1_d6" ), 1390, 20, 1694, 74 ) ;
			addText( comic, getString( "comic1_d7" ), 1548, 354, 1798, 492 ) ;
			addText( comic, getString( "comic1_d8" ), 1924, 18, 2254, 118 ) ;
			addText( comic, getString( "comic1_d9" ), 2304, 28, 2544, 154 ) ;
		end
	end
end

function runComic2( )
	if ( not isLevelDeadly( ) ) then
		if ( isIPad( ) ) then
			local comic = createComicNonChunked( "comic2ipad" ) ;
			
			addText( comic, getString( "comic2_d1" ), 34, 33, 99, 60 ) ;
			addText( comic, getString( "comic2_d2" ), 67, 258, 247, 291 ) ;
			addText( comic, getString( "comic2_d3" ), 543, 55, 680, 91 ) ;
			addText( comic, getString( "comic2_d4" ), 7, 305, 209, 403 ) ;
			addText( comic, getString( "comic2_d5" ), 109, 418, 195, 453 ) ;
			addText( comic, getString( "comic2_d6" ), 284, 324, 422, 375 ) ;
			addText( comic, getString( "comic2_d7" ), 538, 312, 792, 340 ) ;

			if ( isJapanese( ) ) then
				addWhiteBlock( comic, 67, 252, 247, 293 ) ;
			end
		else
			local comic = createComic( "comic2iphone" ) ;
			
			addSnapPoint( comic, 456, 320 ) ;
			addSnapPoint( comic, 910, 320 ) ;
			addSnapPoint( comic, 1362, 320 ) ;
			addSnapPoint( comic, 1816, 320 ) ;
			addSnapPoint( comic, 2268, 320 ) ;
			
			addText( comic, getString( "comic2_d1" ), 50, 50, 172, 108 ) ;
			addText( comic, getString( "comic2_d2" ), 112, 438, 422, 496 ) ;
			addText( comic, getString( "comic2_d3" ), 928, 94, 1168, 160 ) ;
			addText( comic, getString( "comic2_d4" ), 1372, 12, 1714, 182 ) ;
			addText( comic, getString( "comic2_d5" ), 1546, 206, 1692, 266 ) ;
			addText( comic, getString( "comic2_d6" ), 1846, 44, 2084, 134 ) ;
			addText( comic, getString( "comic2_d7" ), 2282, 26, 2710, 74 ) ;
		end
	end
end

function runComic3( )
	if ( not isLevelDeadly( ) ) then
		if ( isIPad( ) ) then
			local comic = createComicNonChunked( "comic3ipad" ) ;
			
			addText( comic, getString( "comic3_d1" ), 650, 12, 709, 35 ) ;
			addText( comic, getString( "comic3_d2" ), 9, 306, 121, 333 ) ;
			addText( comic, getString( "comic3_d3" ), 71, 536, 245, 592 ) ;
			addText( comic, getString( "comic3_d4" ), 260, 308, 534, 361 ) ;
			addText( comic, getString( "comic3_d5" ), 601, 308, 656, 333 ) ;
		else
			local comic = createComic( "comic3iphone" ) ;
			
			addSnapPoint( comic, 456, 320 ) ;
			addSnapPoint( comic, 910, 320 ) ;
			addSnapPoint( comic, 1362, 320 ) ;
			addSnapPoint( comic, 1816, 320 ) ;
			addSnapPoint( comic, 2268, 320 ) ;

			addText( comic, getString( "comic3_d1" ), 1010, 26, 1126, 76 ) ;
			addText( comic, getString( "comic3_d2" ), 1376, 20, 1578, 66 ) ;
			addText( comic, getString( "comic3_d3" ), 1490, 394, 1802, 496 ) ;
			addText( comic, getString( "comic3_d4" ), 1824, 12, 2262, 98 ) ;
			addText( comic, getString( "comic3_d5" ), 2368, 12, 2466, 48 ) ;
		end
	end
end

function runComic4( )
	if ( not isLevelDeadly( ) ) then
		if ( isIPad( ) ) then
			local comic = createComicNonChunked( "comic4ipad" ) ;
			
			addText( comic, getString( "comic4_d1" ), 30, 13, 246, 63 ) ;
			addText( comic, getString( "comic4_d2" ), 356, 11, 520, 61 ) ;
			addText( comic, getString( "comic4_d3" ), 543, 11, 725, 91 ) ;
			addText( comic, getString( "comic4_d4" ), 294, 318, 504, 351 ) ;
			addText( comic, getString( "comic4_d5" ), 539, 307, 650, 334 ) ;
			addText( comic, getString( "comic4_d6" ), 649, 348, 711, 372 ) ;
		else
			local comic = createComic( "comic4iphone" ) ;

			addSnapPoint( comic, 456, 320 ) ;
			addSnapPoint( comic, 910, 320 ) ;
			addSnapPoint( comic, 1362, 320 ) ;
			addSnapPoint( comic, 1816, 320 ) ;
			addSnapPoint( comic, 2268, 320 ) ;
			
			addText( comic, getString( "comic4_d1" ), 53, 20, 429, 112 ) ;
			addText( comic, getString( "comic4_d2" ), 607, 16, 891, 104 ) ;
			addText( comic, getString( "comic4_d3" ), 930, 16, 1242, 156 ) ;
			addText( comic, getString( "comic4_d4" ), 1863, 34, 2223, 94 ) ;
			addText( comic, getString( "comic4_d5" ), 2285, 20, 2475, 64 ) ;
			addText( comic, getString( "comic4_d6" ), 2469, 86, 2579, 128 ) ;
		end
	end
end

function runComic5( )
	if ( not isLevelDeadly( ) ) then
		if ( isIPad( ) ) then
			local comic = createComicNonChunked( "comic5ipad" ) ;
			
			addText( comic, getString( "comic5_d1" ), 223, 193, 343, 250 ) ;
			addText( comic, getString( "comic5_d2" ), 438, 229, 672, 277 ) ;
			addText( comic, getString( "comic5_d3" ), 690, 257, 749, 289 ) ;
			addText( comic, getString( "comic5_d4" ), 188, 312, 389, 405 ) ;
			addText( comic, getString( "comic5_d5" ), 408, 308, 518, 333 ) ;
			addText( comic, getString( "comic5_d6" ), 653, 313, 707, 341 ) ;

			if ( isFrench( ) ) then
				addWhiteBlock( comic, 680, 260, 760, 285 ) ;
			end
		else
			local comic = createComic( "comic5iphone" ) ;

			addSnapPoint( comic, 456, 320 ) ;
			addSnapPoint( comic, 1360, 320 ) ;
			addSnapPoint( comic, 2268, 320 ) ;
			--addSnapPoint( comic, 2722, 320 ) ;
			addSnapPoint( comic, 3174, 320 ) ;			
			
			addText( comic, getString( "comic5_d1" ), 482, 292, 722, 408 ) ;
			addText( comic, getString( "comic5_d2" ), 1056, 384, 1528, 484 ) ;
			addText( comic, getString( "comic5_d3" ), 1558, 416, 1680, 484 ) ;
			addText( comic, getString( "comic5_d4" ), 2296, 26, 2700, 216 ) ;
			addText( comic, getString( "comic5_d5" ), 2752, 32, 2978, 84 ) ;
			addText( comic, getString( "comic5_d6" ), 2948, 188, 3060, 242 ) ;
		end
	end
end

function runComic6( )
	if ( not isLevelDeadly( ) ) then
		if ( isIPad( ) ) then
			local comic = createComicNonChunked( "comic6ipad" ) ;
			
			addText( comic, getString( "comic6_d1" ), 97, 223, 261, 292 ) ;
			addText( comic, getString( "comic6_d2" ), 280, 11, 520, 66 ) ;
			addText( comic, getString( "comic6_d3" ), 590, 13, 785, 78 ) ;
			addText( comic, getString( "comic6_d4" ), 11, 332, 155, 378 ) ;
			addText( comic, getString( "comic6_d5" ), 324, 312, 469, 349 ) ;
			addText( comic, getString( "comic6_d6" ), 545, 313, 657, 339 ) ;
			
			if ( isJapanese( ) ) then
				addWhiteBlock( comic, 11, 325, 155, 385 ) ;
			end
		else
			local comic = createComic( "comic6iphone" ) ;

			addSnapPoint( comic, 456, 320 ) ;
			addSnapPoint( comic, 910, 320 ) ;
			addSnapPoint( comic, 1362, 320 ) ;
			addSnapPoint( comic, 1816, 320 ) ;
			addSnapPoint( comic, 2268, 320 ) ;
			
			addText( comic, getString( "comic6_d1" ), 158, 374, 446, 498 ) ;
			addText( comic, getString( "comic6_d2" ), 478, 22, 890, 118 ) ;
			addText( comic, getString( "comic6_d3" ), 1008, 22, 1342, 136 ) ;
			addText( comic, getString( "comic6_d4" ), 1382, 58, 1628, 140 ) ;
			addText( comic, getString( "comic6_d5" ), 1914, 30, 2160, 96 ) ;
			addText( comic, getString( "comic6_d6" ), 2294, 26, 2486, 70 ) ;
		end
	end
end

function runComic7( )
	if ( not isLevelDeadly( ) ) then
		if ( isIPad( ) ) then
			local comic = createComicNonChunked( "comic7ipad" ) ;
			
			addText( comic, getString( "comic7_d1" ), 165, 11, 389, 97 ) ;
			addText( comic, getString( "comic7_d2" ), 465, 231, 649, 281 ) ;
			addText( comic, getString( "comic7_d3" ), 17, 464, 192, 500 ) ;
			addText( comic, getString( "comic7_d4" ), 555, 325, 694, 390 ) ;
		else
			local comic = createComic( "comic7iphone" ) ;

			addSnapPoint( comic, 456, 320 ) ;
			addSnapPoint( comic, 1360, 320 ) ;
			addSnapPoint( comic, 2268, 320 ) ;
			addSnapPoint( comic, 3174, 320 ) ;		
			
			addText( comic, getString( "comic7_d1" ), 377, 20, 791, 180 ) ;
			addText( comic, getString( "comic7_d2" ), 928, 378, 1304, 488 ) ;
			addText( comic, getString( "comic7_d3" ), 2000, 294, 2332, 370 ) ;
			addText( comic, getString( "comic7_d4" ), 2785, 90, 3055, 216 ) ;
		end
	end
end

function runComic8( )
	if ( not isLevelDeadly( ) ) then
		if ( isIPad( ) ) then
			local comic = createComicNonChunked( "comic8ipad" ) ;
			
			addText( comic, getString( "comic8_d1" ), 24, 20, 478, 148 ) ; --20, 20, 478, 148
			addText( comic, getString( "comic8_d2" ), 20, 296, 196, 335 ) ;
			addText( comic, getString( "comic8_d3" ), 20, 525, 195, 565 ) ;
		else
			local comic = createComic( "comic8iphone" ) ;

			addSnapPoint( comic, 456, 320 ) ;
			--addSnapPoint( comic, 1020, 320 ) ;
			addSnapPoint( comic, 1362, 320 ) ;
			addSnapPoint( comic, 2268, 320 ) ;
			
			addText( comic, getString( "comic8_d1_split1" ), 18, 20, 540, 190 ) ;
			addText( comic, getString( "comic8_d1_split2" ), 928, 22, 1446, 190 ) ;
			addText( comic, getString( "comic8_d2" ), 1836, 14, 2136, 82 ) ;
			addText( comic, getString( "comic8_d3" ), 2284, 406, 2582, 472 ) ;
		end
	end
end